import { IEditorOverrideServices } from 'vscode/vscode/vs/editor/standalone/browser/standaloneServices';
import { IDisposable } from 'vscode/vscode/vs/base/common/lifecycle';
export { IReference } from 'vscode/vscode/vs/base/common/lifecycle';
import { Parts } from 'vscode/vscode/vs/workbench/services/layout/browser/layoutService';
export { Parts, Position } from 'vscode/vscode/vs/workbench/services/layout/browser/layoutService';
import { Part } from 'vscode/vscode/vs/workbench/browser/part';
import { ILayoutInitializationState } from 'vscode/vscode/vs/workbench/browser/layout';
export { ILayoutInitializationState } from 'vscode/vscode/vs/workbench/browser/layout';
import { OpenEditor } from './tools/editor.js';

declare function renderPart(partContainer: HTMLElement, part: Part): void;
declare function attachPart(part: Parts, container: HTMLElement): IDisposable;
declare function onPartVisibilityChange(part: Parts, listener: (visible: boolean) => void): IDisposable;
declare function renderActivitybarPar(container: HTMLElement): IDisposable;
declare function renderSidebarPart(container: HTMLElement): IDisposable;
declare function renderPanelPart(container: HTMLElement): IDisposable;
declare function renderAuxiliaryPart(container: HTMLElement): IDisposable;
declare function renderEditorPart(container: HTMLElement): IDisposable;
declare function renderStatusBarPart(container: HTMLElement): IDisposable;
declare function isEditorPartVisible(): boolean;
type InitializationStateTransformer = (state: ILayoutInitializationState) => ILayoutInitializationState;
declare function getServiceOverride(openEditorFallback?: OpenEditor, _webviewIframeAlternateDomains?: string): IEditorOverrideServices;
/**
 * @deprecated Provide restoreEditors with the initializationState.editor.restoreEditors params
 */
declare function getServiceOverride(openEditorFallback?: OpenEditor, _webviewIframeAlternateDomains?: string, restoreEditors?: boolean): IEditorOverrideServices;
declare function getServiceOverride(openEditorFallback?: OpenEditor, _webviewIframeAlternateDomains?: string, initializationState?: InitializationStateTransformer): IEditorOverrideServices;

export { type InitializationStateTransformer, OpenEditor, attachPart, getServiceOverride as default, isEditorPartVisible, onPartVisibilityChange, renderActivitybarPar, renderAuxiliaryPart, renderEditorPart, renderPanelPart, renderPart, renderSidebarPart, renderStatusBarPart };
