import { IWorkbenchLayoutService } from 'vscode/vscode/vs/workbench/services/layout/browser/layoutService.service';
import { IStorageService } from 'vscode/vscode/vs/platform/storage/common/storage.service';
import { IContextMenuService } from 'vscode/vscode/vs/platform/contextview/browser/contextView.service';
import { IKeybindingService } from 'vscode/vscode/vs/platform/keybinding/common/keybinding.service';
import { IInstantiationService } from 'vscode/vscode/vs/platform/instantiation/common/instantiation';
import { IThemeService } from 'vscode/vscode/vs/platform/theme/common/themeService.service';
import { INotificationService } from 'vscode/vscode/vs/platform/notification/common/notification.service';
import { IContextKeyService } from 'vscode/vscode/vs/platform/contextkey/common/contextkey.service';
import { IExtensionService } from 'vscode/vscode/vs/workbench/services/extensions/common/extensions.service';
import { IViewDescriptorService } from 'vscode/vscode/vs/workbench/common/views.service';
import { IMenuService } from 'vscode/vscode/vs/platform/actions/common/actions.service';
import { AbstractPaneCompositePart, CompositeBarPosition } from '../paneCompositePart.js';
import { ICommandService } from 'vscode/vscode/vs/platform/commands/common/commands.service';
import { IPaneCompositeBarOptions } from '../paneCompositeBar.js';

declare class PanelPart extends AbstractPaneCompositePart {
    private commandService;
    readonly minimumWidth: number;
    readonly maximumWidth: number;
    readonly minimumHeight: number;
    readonly maximumHeight: number;
    get preferredHeight(): number | undefined;
    get preferredWidth(): number | undefined;
    static readonly activePanelSettingsKey = "workbench.panelpart.activepanelid";
    constructor(notificationService: INotificationService, storageService: IStorageService, contextMenuService: IContextMenuService, layoutService: IWorkbenchLayoutService, keybindingService: IKeybindingService, instantiationService: IInstantiationService, themeService: IThemeService, viewDescriptorService: IViewDescriptorService, contextKeyService: IContextKeyService, extensionService: IExtensionService, commandService: ICommandService, menuService: IMenuService);
    updateStyles(): void;
    protected getCompositeBarOptions(): IPaneCompositeBarOptions;
    private fillExtraContextMenuActions;
    layout(width: number, height: number, top: number, left: number): void;
    protected shouldShowCompositeBar(): boolean;
    protected getCompositeBarPosition(): CompositeBarPosition;
    toJSON(): object;
}

export { PanelPart };
