import { IContextKeyService } from 'vscode/vscode/vs/platform/contextkey/common/contextkey.service';
import { IInstantiationService } from 'vscode/vscode/vs/platform/instantiation/common/instantiation';
import { IWorkbenchLayoutService } from 'vscode/vscode/vs/workbench/services/layout/browser/layoutService.service';
import { IStorageService } from 'vscode/vscode/vs/platform/storage/common/storage.service';
import { IContextMenuService } from 'vscode/vscode/vs/platform/contextview/browser/contextView.service';
import { IKeybindingService } from 'vscode/vscode/vs/platform/keybinding/common/keybinding.service';
import { IThemeService } from 'vscode/vscode/vs/platform/theme/common/themeService.service';
import { INotificationService } from 'vscode/vscode/vs/platform/notification/common/notification.service';
import { AnchorAlignment } from 'vscode/vscode/vs/base/browser/ui/contextview/contextview';
import { IExtensionService } from 'vscode/vscode/vs/workbench/services/extensions/common/extensions.service';
import { LayoutPriority } from 'vscode/vscode/vs/base/browser/ui/splitview/splitview';
import { IViewDescriptorService } from 'vscode/vscode/vs/workbench/common/views.service';
import { AbstractPaneCompositePart, CompositeBarPosition } from '../paneCompositePart.js';
import { ActivityBarCompositeBar } from '../activitybar/activitybarPart.js';
import { IPaneCompositeBarOptions } from '../paneCompositeBar.js';
import { IConfigurationService } from 'vscode/vscode/vs/platform/configuration/common/configuration.service';
import { IMenuService } from 'vscode/vscode/vs/platform/actions/common/actions.service';

declare class SidebarPart extends AbstractPaneCompositePart {
    private readonly configurationService;
    static readonly activeViewletSettingsKey = "workbench.sidebar.activeviewletid";
    readonly minimumWidth: number;
    readonly maximumWidth: number;
    readonly minimumHeight: number;
    readonly maximumHeight: number;
    readonly priority: LayoutPriority;
    get preferredWidth(): number | undefined;
    private readonly acitivityBarPart;
    constructor(notificationService: INotificationService, storageService: IStorageService, contextMenuService: IContextMenuService, layoutService: IWorkbenchLayoutService, keybindingService: IKeybindingService, instantiationService: IInstantiationService, themeService: IThemeService, viewDescriptorService: IViewDescriptorService, contextKeyService: IContextKeyService, extensionService: IExtensionService, configurationService: IConfigurationService, menuService: IMenuService);
    private onDidChangeActivityBarLocation;
    updateStyles(): void;
    layout(width: number, height: number, top: number, left: number): void;
    protected getTitleAreaDropDownAnchorAlignment(): AnchorAlignment;
    protected createCompositeBar(): ActivityBarCompositeBar;
    protected getCompositeBarOptions(): IPaneCompositeBarOptions;
    protected shouldShowCompositeBar(): boolean;
    private shouldShowActivityBar;
    protected getCompositeBarPosition(): CompositeBarPosition;
    private rememberActivityBarVisiblePosition;
    private getRememberedActivityBarVisiblePosition;
    getPinnedPaneCompositeIds(): string[];
    getVisiblePaneCompositeIds(): string[];
    focusActivityBar(): Promise<void>;
    private registerActions;
    toJSON(): object;
}

export { SidebarPart };
