import { IActivity } from 'vscode/vscode/vs/workbench/services/activity/common/activity';
import { IActivityService } from 'vscode/vscode/vs/workbench/services/activity/common/activity.service';
import { Disposable, IDisposable } from 'vscode/vscode/vs/base/common/lifecycle';
import { ViewContainer } from 'vscode/vscode/vs/workbench/common/views';
import { IViewDescriptorService } from 'vscode/vscode/vs/workbench/common/views.service';
import { Event } from 'vscode/vscode/vs/base/common/event';
import { IInstantiationService } from 'vscode/vscode/vs/platform/instantiation/common/instantiation';

declare class ActivityService extends Disposable implements IActivityService {
    private readonly viewDescriptorService;
    private readonly instantiationService;
    _serviceBrand: undefined;
    private readonly viewActivities;
    private readonly _onDidChangeActivity;
    readonly onDidChangeActivity: Event<string | ViewContainer>;
    private readonly viewContainerActivities;
    private readonly globalActivities;
    constructor(viewDescriptorService: IViewDescriptorService, instantiationService: IInstantiationService);
    showViewContainerActivity(viewContainerId: string, activity: IActivity): IDisposable;
    getViewContainerActivities(viewContainerId: string): IActivity[];
    showViewActivity(viewId: string, activity: IActivity): IDisposable;
    showAccountsActivity(activity: IActivity): IDisposable;
    showGlobalActivity(activity: IActivity): IDisposable;
    getActivity(id: string): IActivity[];
    private showActivity;
}

export { ActivityService };
